$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
   $(".tbody").on("blur", '.rate', autoAddRows);
$("body").on("keyup change blur focus", ".ldiscperc,.totdisc, .totadv,.addpack", mainCal);
$("body").on("keyup change blur focus", ".amount,.discperc,.discamt", calDetail);

    $("body").on("focus", '.amount', autoAddRows);
    $("body").on("blur change", ".vouchdt", getvoucher);
    // $("body").on("change", ".oms", editoms);
    // $("body").on("change", ".gstperc, .oms", gstperc);
    // $("body").on("change", ".cmbparty", getoms);
    $("body").on("click", "#submit ,#cancel", hide_but);


    function hide_but() {
        $("#ssubmit").hide();
        $("#scancel").hide();
    }


    // function getoms() {
    //     var party = $(".cmbparty").val();
    //     $.post('chk_oms.php', {party: party}, function (data) {
    //         if (data == 1) {
    //             $(".oms").prop('checked', true);
    //         } else {
    //             $(".oms").prop('checked', false);
    //         }
    //     }, 'json');
    // }
    // function gstperc() {
    //     var gstp = $(".gstperc").val();
    //     if (gstp != '') {
    //         if ($(".oms").prop('checked')) {
    //             $(".igstperc").val(gstp)
    //         } else {
    //             var cgstp = gstp / 2;
    //             $(".sgstperc").val(cgstp)
    //             $(".cgstperc").val(cgstp)
    //         }
    //     }

    // }

    // function editoms() {
    //     var igstamt = $('.igstamt').val(),
    //             cgstamt = $('.cgstamt').val();
    //     if ($(".oms").prop('checked')) {
    //         if (igstamt == 0) {
    //             var val = cgstamt * 2;
    //             $('.igstamt').val(val);
    //             $('.cgstamt').val(0);
    //             $('.sgstamt').val(0);
    //         }
    //     } else {
    //         if (cgstamt == 0) {
    //             var val2 = igstamt / 2;
    //             $('.cgstamt').val(val2);
    //             $('.sgstamt').val(val2);
    //             $('.igstamt').val(0);
    //         }
    //     }
    //     mainbCal();
    // }

    function getvoucher() {
        var date = new Date($(".vouchdt").val()),
                month = (date.getMonth() + 1).toString(),
                vouchno = $('.vouchno').val(),
                voucher = '0' + month + vouchno;
        $('.monno').val(month);
        $('.voucher').val(voucher);
    }


    // $('#hedit').click(function () {
    //     var addflag = $('.addflag').val();
    //     if (addflag != 1) {
    //         $('.oms').prop("disabled", true);
    //     } else {
    //         $('.oms').prop("disabled", false);
    //     }
    // });
    // $(document).keydown(function (event) {
    //     if (!(String.fromCharCode(event.which).toLowerCase() == 'd' && event.altKey) && !(event.which == 19))
    //         return true;
    //     $(".cdicsperc ").focus();
    //     event.preventDefault();
    //     return false;
    // });



    $('#addnew').click(function () {
        AddRows();
    });
    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();
        }
    }

    function remove() {
        $(this).closest("tr").remove();
        calDetail();
        mainCal();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        var detail = ".fetchpart_" + ctr;
        $.post('credoth_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
//            $(detail).select2();
        });
    }
    function calDetail() {
        var tr = $(this).closest("tr"),
                // cartqty = tr.find(".cartqty").val(),
                // qty = tr.find(".qty").val(),
                // totqty = cartqty * qty,
                // rate = tr.find(".rate").val(),
                amount = tr.find(".amount").val(),
                discperc = tr.find(".discperc").val(),
                discamt = 0,
                // vatperc = tr.find(".vatperc").val(),
                subtot = 0,
                total = 0,
                vat = 0;

        if (discperc > 0) {
            discamt = ((discperc * amount) / 100).toFixed(2);
        } else {
            discamt = tr.find(".discamt").val();
        }
        subtot = amount - discamt;
        // if (vatperc > 0) {
        //     vat = ((vatperc * subtot) / 100).toFixed(2);
        // } else {
        //     vat = 0;
        // }
        total = (parseFloat(subtot)).toFixed(2);
        // tr.find(".totqty").val(totqty);
        tr.find(".amount").val(amount);
        tr.find(".discamt").val(discamt);
        // tr.find(".vat").val(vat);
        tr.find(".total").val(total);
        var totamt = 0,
                totdisc = 0,
                totvat = 0,
                tottotal = 0,
                totbal = 0,
                totalqty = 0,
                totadv = 0;
        // $(".qty").each(function () {
        //     if (!isNaN(this.value) && this.value.length != 0) {
        //         totalqty += parseFloat(this.value);
        //     }
        // });
        $(".totalqty").val(totalqty);

        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                totamt += parseFloat(this.value);
            }
        });
//        $(".discamt").each(function () {
//            if (!isNaN(this.value) && this.value.lenght != 0) {
//                totdisc += parseFloat(this.value);
//            }
//        });
//        $(".vat").each(function () {
//            if (!isNaN(this.value) && this.value.lenght != 0) {
//                totvat += parseFloat(this.value);
//            }
//        });
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                tottotal += parseFloat(this.value);
            }
        });
        $(".totamt").val(totamt);

//        $(".tottotal").val(tottotal);
        mainCal();
    }

    function mainCal() {
        var tdiscperc = $(".ldiscperc").val(),
                // vatperc = $(".tvatperc").val(),
                amount = $(".totamt").val(),
                addpack = $(".addpack").val(),
                // addgst = $(".addgst").val(),
                // totadv = $(".totadv").val(),
                discamt = 0, vat = 0,
                totbal = 0;
        if (tdiscperc > 0) {
            discamt = ((tdiscperc * amount) / 100).toFixed(2);
        } else {
            discamt = $(".totdisc").val();
        }
        var subtot = amount - discamt;
        // if (vatperc > 0) {
        //     vat = ((vatperc * subtot) / 100).toFixed(2);
        // } else {
        //     vat = 0;
        // }
        var finamt = parseFloat(subtot) +  parseFloat(addpack) ,
                totbal = parseFloat(finamt) 
        $(".totdisc").val(discamt);
        // $(".totvat").val(vat);
        $(".tottotal").val(finamt);
        // $(".totbal").val(totbal);

    }


});